Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1574255 - No credentials found when inserting yubikey
Summary: No credentials found when inserting yubikey
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: yubioath-desktop
Version: 28
Hardware: All
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Seth Jennings
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-02 22:37 UTC by Gerald Cox
Modified: 2018-05-12 18:20 UTC (History)
3 users (show)

Fixed In Version: yubioath-desktop-4.3.3-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-12 18:20:06 UTC
Type: Bug


Attachments (Terms of Use)

Description Gerald Cox 2018-05-02 22:37:59 UTC
Description of problem:

After upgrade to F28 and yubioath-desktop 4.2.0 am receiving error "no credentials found".  If I back out and manually reinstall the F27 
4.1.3 version things work fine.

Version-Release number of selected component (if applicable):
4.2.0

Comment 1 Seth Jennings 2018-05-03 03:39:55 UTC
Thanks for reporting.  It needs a newer version of yubikey-manager.  I am updating that package now.

https://koji.fedoraproject.org/koji/taskinfo?taskID=26737744

I'll bump yubioath-desktop to 4.3.3 as well as it several versions behind.

yubikey-manager 0.6.1 requires a new fido2 python package to be created (https://github.com/Yubico/python-fido2) hence the bump to 0.6.0.

Comment 2 Fedora Update System 2018-05-03 04:16:41 UTC
yubioath-desktop-4.3.3-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-e5f1288c8f

Comment 3 Seth Jennings 2018-05-03 04:18:37 UTC
Please, make sure you update yubikey-manager from testing as well when verifying the fix.

Comment 4 Gerald Cox 2018-05-03 14:56:13 UTC
Thanks for the quick response.  That fixed the problem!

Comment 5 Fedora Update System 2018-05-03 20:23:34 UTC
yubioath-desktop-4.3.3-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-e5f1288c8f

Comment 6 Justin Chiu 2018-05-09 22:42:08 UTC
Thanks. I was experiencing the same issue and upgrading:

yubioath-desktop-4.2.0-3 to yubioath-desktop-4.3.3-1,

yubikey-manager-0.4.0-2 to yubikey-manager-0.6.0-1, and

python3-yubikey-manager-0.4.0-2 to python3-yubikey-manager-0.6.0-1

fixed the issue for me. Upgrading the python library was necessary.

Comment 7 Fedora Update System 2018-05-12 18:20:06 UTC
yubioath-desktop-4.3.3-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.